Name:           audience
Summary:        Audience video player
Version:        0.2.2
Release:        1%{?dist}
License:        GPLv3+
URL:            https://launchpad.net/audience

Source0:        https://launchpad.net/%{name}/0.4-loki/%{version}/+download/%{name}-%{version}.tar.xz

# Include the appropriate icon from elementary-icon-theme so appdata metadata generation works.
# A Bug about the missing icon is reported upstream:
# https://bugs.launchpad.net/audience/+bug/1658325

Source1:        org.pantheon.audience.svg

# Patch the .desktop file to not use the generic icon name but the bundled icon
Patch0:         00-rename-icon.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala

BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite) >= 0.3.0
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)

Requires:       hicolor-icon-theme


%description
A modern video player that brings the lessons learned from the web home
to the desktop.


%prep
%autosetup -p1


%build
mkdir build && pushd build
%cmake -DBUILD_FOR_ELEMENTARY:BOOL=OFF ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang audience

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.pantheon.audience.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/org.pantheon.audience.appdata.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f audience.lang
%doc AUTHORS README
%license COPYING

%{_bindir}/audience

%{_datadir}/appdata/org.pantheon.audience.appdata.xml
%{_datadir}/applications/org.pantheon.audience.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.audience.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.pantheon.audience.svg


%changelog
* Fri Apr 14 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-5
- Use branded .desktop file.

* Fri Jan 27 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-4
- Add patch to rename generic icon to something branded.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com>
- Remove explicit BR: /usr/bin/pkgconfig.

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-3
- Explicitly depend on /usr/bin/pkg-config.

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-2
- Include icon to fix appdata metadata generation.

* Fri Jan 20 2017 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.2-1
- Update to version 0.2.1.2.

* Sat Dec 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-2
- Clean up spec file.

* Mon Oct 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.1.1-1
- Update to version 0.2.1.1.

* Mon Oct 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-1
- Update to version 0.2.1.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.2-3
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.2-2
- Spec file cleanups.

* Wed Sep 21 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.2-1
- Update to version 0.2.0.2.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.1-2
- Spec file cosmetics.

* Fri Sep 09 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2.0.1-1
- Update to version 0.2.0.1.

* Wed Aug 17 2016 Fabio Valentini <decathorpe@gmail.com> - 0.2-1
- Update to version 0.2.


